Subject: Re: [PATCH 1/3] skbtrace v2: core feature and common events

From: Li Yu <[email-masked]>
Date: Fri, 19 Oct 2012 15:34:01 +0800

于 2012年10月19日 15:10, Eric Dumazet 写道:
> On Fri, 2012-10-19 at 14:16 +0800, Li Yu wrote:
>> From: Li Yu <[email-masked]>
>>
>> This patch contains:
>>
>> 1. The glue code of tracepoints subsystem and relay file system.
>> 2. API for particular networking trace points.
>> 3. The skb_rps_info trace point.
>>
>> Thanks
>>
>> Sign-off-by: Li Yu <[email-masked]>
>>
>>   include/linux/skbtrace.h               |  478 ++++++++++++
>>   include/linux/skbtrace_api.h           |   73 +
>>   include/linux/skbuff.h                 |    7
>>   include/net/skbtrace_api_common.h      |   84 ++
>>   include/net/sock.h                     |   14
>>   include/trace/events/skbtrace.h        |   32
>>   include/trace/events/skbtrace_common.h |   41 +
>>   kernel/trace/Kconfig                   |    8
>>   net/core/Makefile                      |    2
>>   net/core/dev.c                         |    3
>>   net/core/net-traces.c                  |   24
>>   net/core/skbtrace-core.c               | 1226
>> +++++++++++++++++++++++++++++++++
>>   net/core/skbtrace-events-common.c      |   68 +
>>   net/core/skbuff.c                      |    5
>>   net/core/sock.c                        |    9
>>   15 files changed, 2073 insertions(+), 1 deletion(-)
>
>
> Hi
>
> Three months ago I gave my feedback about all this.
>
> And I dont think there is any real answer to my questions.
>
> There is 0 documentation, 0 example of how many bugs you found and fixed
> thanks to this huge patch.
>
> Please fix a dozen of bugs with it, then we will be convinced it might
> be needed to review 2000 LOC
>

Sorry for confused, so far it only has some Chinese documents here, 
http://rover-yu.github.com/skbtrace-kernel/using/index.html

I will supply the English version, add more documents on usage and changes.

Yu

> Thanks